﻿class Navigation extends MovieClip {
	private var ceil:String = Default.ceil;
	private var wall:String = Default.wall;
	private var stuff:String = Default.stuff;
	private var myControl:Control;
	//OnOff Controls
	private var isCeilOn:Boolean = false;
	private var isWallOn:Boolean = false;
	private var isStuffOn:Boolean = false;
	function Navigation() {
	}
	public function onMyRelease(type:String, value:Number) {
		if (type == ceil) {
			myControl.attachCeil(value);
		} else if (type == wall) {
			if (value != 0) {
				myControl.attachWall(value);
			} else {
				myControl.deleteWall();
			}
		} else if(type == stuff) {
			myControl.deleteStuff();
		}
	}
	public function onMyStuffRelease(obj:Object) {
		myControl.attachStuff(obj);
	}
	public function clearAll(Void):Void {
		myControl.clearAll();
	}
	//On Off functions
	public function onOffCeil(Void):Void {
		myControl.onOffCeil(isCeilOn);
		isCeilOn = !isCeilOn;
	}
	public function onOffWall(Void):Void {
		myControl.onOffWall(isWallOn);
		isWallOn = !isWallOn;
	}
	public function onOffStuff(Void):Void {
		myControl.onOffStuff(isStuffOn);
		isStuffOn = !isStuffOn;
	}
	//Undo functions
	public function back(Void):Void {
		myControl.back();
	}
	public function forward(Void):Void {
		myControl.forward();
	}
}
