﻿class UndoDataStore {
	private var numberOfUndo:Number;
	private var dataStore:Object;
	private var index:Number = 0;
	function UndoDataStore(numberOfUndo:Number) {
		this.numberOfUndo = numberOfUndo;
		dataStore = new Object();
		for (var i = 0; i<numberOfUndo; i++) {
			dataStore[i] = new Object();
		}
	}
	function pop(Void):Object {
		index--;
		if(index == -1) {
			index = numberOfUndo-1;
		}
		return dataStore[index]; 
	}
	function push(obj:Object):Void {
		dataStore[index] = obj;
		index++;
		if(index == numberOfUndo) {
			index = 0;
		}
	}
}
